API Reference
Discount Rules
Automatic discount rules and conditions.
5 endpoints· Auth: API Key
get
/api/v1/store/integrations/discounts/rules API KeyGet rules
Query parameters
| page integer (int32) | — |
| per_page integer (int32) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/discounts/rules" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/discounts/rules API KeyCreate rules
Request body
application/json
{
"name": "string",
"discountType": "percentage",
"discountValue": 0,
"categoryId": "00000000-0000-0000-0000-000000000000",
"channels": "string",
"isActive": false
}| name string | — |
| discountType DiscountType | — |
| discountValue number (double) | — |
| categoryId string (uuid) | — |
| channels string | — |
| isActive boolean | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/discounts/rules" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"discountType": "percentage",
"discountValue": 0,
"categoryId": "00000000-0000-0000-0000-000000000000",
"channels": "string",
"isActive": false
}' Try itagainst staging · https://stagging-api.sendyiq.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/discounts/rules/{id} API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/discounts/rules/{id}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
put
/api/v1/store/integrations/discounts/rules/{id} API KeyUpdate id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"name": "string",
"discountType": "percentage",
"discountValue": 0,
"categoryId": "00000000-0000-0000-0000-000000000000",
"channels": "string",
"isActive": false
}| name string | — |
| discountType DiscountType | — |
| discountValue number (double) | — |
| categoryId string (uuid) | — |
| channels string | — |
| isActive boolean | — |
Responses
200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/discounts/rules/{id}" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"discountType": "percentage",
"discountValue": 0,
"categoryId": "00000000-0000-0000-0000-000000000000",
"channels": "string",
"isActive": false
}' Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/store/integrations/discounts/rules/{id} API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/discounts/rules/{id}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu